/*
 * 可点击标签类，在QLabel的基础上增加鼠标左键点击信号
 */
#ifndef CLICKLABEL_H
#define CLICKLABEL_H

#include <QLabel>
#include <QEvent>
#include <QMouseEvent>

class ClickLabel : public QLabel
{
    Q_OBJECT

public:
    explicit ClickLabel(QWidget *parent = nullptr);
    ~ClickLabel();

protected:
    void mousePressEvent(QMouseEvent * event);

signals:
    void clicked();

};

#endif // CLICKLABEL_H
